package com.xty.common.weight;

import android.view.ViewGroup;

import androidx.recyclerview.widget.RecyclerView;

public interface AdapterStick <T extends RecyclerView.ViewHolder> extends Stick{
    void onBindViewHolder(T holder, int position);
    RecyclerView.ViewHolder createViewHolder(ViewGroup parent, int viewType);
    int getItemViewType(int position);
    int getItemCount();
    void bindViewHolder(T holder, int position);
    int getHeaderCount();
}